net.minecraft.command.server

## Class CommandBlockLogic

- java.lang.Object
- - net.minecraft.command.server.CommandBlockLogic

- All Implemented Interfaces:
    ICommandSender

      public abstract class CommandBlockLogic
      extends java.lang.Object
      implements ICommandSender

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandBlockLogic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChatMessage(IChatComponent p_145747_1_)`
    `boolean` | `canCommandSenderUseCommand(int par1, java.lang.String par2Str)`
    `IChatComponent` | `func_145748_c_()`
    `IChatComponent` | `func_145749_h()`
    `void` | `func_145750_b(IChatComponent p_145750_1_)`
    `abstract int` | `func_145751_f()`
    `void` | `func_145752_a(java.lang.String p_145752_1_)`
    `java.lang.String` | `func_145753_i()`
    `void` | `func_145754_b(java.lang.String p_145754_1_)`
    `void` | `func_145755_a(World p_145755_1_)`
    `abstract void` | `func_145756_e()`
    `abstract void` | `func_145757_a(io.netty.buffer.ByteBuf var1)`
    `void` | `func_145758_a(NBTTagCompound p_145758_1_)`
    `void` | `func_145759_b(NBTTagCompound p_145759_1_)`
    `int` | `func_145760_g()`
    `java.lang.String` | `getCommandSenderName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.command.ICommandSender

      `getEntityWorld, getPlayerCoordinates`

- - ### Constructor Detail

    - #### CommandBlockLogic

          public CommandBlockLogic()

  - ### Method Detail

    - #### func_145760_g

          public int func_145760_g()

    - #### func_145749_h

          public IChatComponent func_145749_h()

    - #### func_145758_a

          public void func_145758_a(NBTTagCompound p_145758_1_)

    - #### func_145759_b

          public void func_145759_b(NBTTagCompound p_145759_1_)

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(int par1,
                                           java.lang.String par2Str)

      Specified by:
        `canCommandSenderUseCommand` in interface `ICommandSender`

    - #### func_145752_a

          public void func_145752_a(java.lang.String p_145752_1_)

    - #### func_145753_i

          public java.lang.String func_145753_i()

    - #### func_145755_a

          public void func_145755_a(World p_145755_1_)

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

      Specified by:
        `getCommandSenderName` in interface `ICommandSender`

    - #### func_145748_c_

          public IChatComponent func_145748_c_()

      Specified by:
        `func_145748_c_` in interface `ICommandSender`

    - #### func_145754_b

          public void func_145754_b(java.lang.String p_145754_1_)

    - #### addChatMessage

          public void addChatMessage(IChatComponent p_145747_1_)

      Specified by:
        `addChatMessage` in interface `ICommandSender`

    - #### func_145756_e

          public abstract void func_145756_e()

    - #### func_145751_f

          public abstract int func_145751_f()

    - #### func_145757_a

          public abstract void func_145757_a(io.netty.buffer.ByteBuf var1)

    - #### func_145750_b

          public void func_145750_b(IChatComponent p_145750_1_)